﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 

	#FullScreen: False
	#IncludeTitle: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Private XUI As XUI

	Type ItemValue (lblReceiptID As String)
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
		
	'v0.1  (17/05/2020) - Initial development
	Private strVersion As String = "v0.1"
	Private lblVersion As Label

	Private clvPanel As CustomListView
	
	Private ECReceiptSet As ResultSet
	Private lstReceiptID(1) As List
	Private lstReceiptDate(1) As List
	Private lstReceiptRetailerID(1) As List
	Private lstReceiptAmount(1) As List
	Private lstReceiptChargeStoreID(1) As List
	Private lstReceiptNotes(1) As List
	Private lstReceiptPhoto(1) As List
	Private lstReceiptClaimID(1) As List
	Private lstReceiptClaimPart(1) As List

	Private lblReceiptDate As String
	Private lblRetailer As String
	Private lblReceiptID As String

	Private intRetailerID As Int
	Private strRetailerName As String
	
	Private strStoreID As Int
	Private strStoreName As String
	
	
	Private lblBack As Label
		
	Private strSQLQuery As String
		
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	SelectReceiptList

	DateTime.DateFormat = "dd/MM/yy"
	
	Activity.LoadLayout("ECS20")
	
	lblVersion.Text = strVersion

	For x = 1 To 5
		Dim iv As ItemValue
		iv.Initialize
		clvPanel.Add(CreateItem(lblReceiptDate, lblRetailer, lblReceiptID), "")
	Next
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub CreateItem(lblReceiptDate As String, lblRetailer As String, lblReceiptID As String) As B4XView
	
	Dim p As B4XView = XUI.CreatePanel("")
	
	p.SetLayoutAnimated(0, 0, 0, 100%x, 120dip)
	p.LoadLayout("ECS20clv")
	
	lblReceiptDate = "22/05/20"
	lblRetailer = "Ebay"
	lblReceiptID = "2005003"
	
	Return p
	
End Sub

'SELECT DATABASE CALLS
'=====================

Sub SelectReceiptList

	lstReceiptID(0).Initialize
	lstReceiptDate(0).Initialize
	lstReceiptRetailerID(0).Initialize
	lstReceiptAmount(0).Initialize
	lstReceiptChargeStoreID(0).Initialize
	lstReceiptNotes(0).Initialize
	lstReceiptPhoto(0).Initialize
	lstReceiptClaimID(0).Initialize
	lstReceiptClaimPart(0).Initialize
	
	strSQLQuery = "Select * FROM Receipt ORDER BY ReceiptID DESC"
	
	ECReceiptSet = ECS00.SQLEC.ExecQuery(strSQLQuery)
	
	Do While ECReceiptSet.NextRow
		lstReceiptID(0).Add(ECReceiptSet.GetString("ReceiptID"))
		lstReceiptDate(0).Add(ECReceiptSet.GetString("ReceiptDate"))
		lstReceiptRetailerID(0).Add(ECReceiptSet.GetInt("ReceiptRetailerID"))
		lstReceiptAmount(0).Add(ECReceiptSet.GetDouble("ReceiptAmount"))
		lstReceiptChargeStoreID(0).Add(ECReceiptSet.GetString("ReceiptChargeStoreID"))
		lstReceiptNotes(0).Add(ECReceiptSet.GetString("ReceiptNotes"))
		lstReceiptPhoto(0).Add(ECReceiptSet.GetBlob("ReceiptPhoto"))
		lstReceiptClaimID(0).Add(ECReceiptSet.GetInt("ReceiptClaimID"))
		lstReceiptClaimPart(0).Add(ECReceiptSet.GetInt("ReceiptClaimPart"))
	Loop

End Sub

Sub SelectRetailerName
		
	strSQLQuery = "Select RetailerName FROM Retailer WHERE RetailerID = ?"
	
	strRetailerName = ECS00.SQLEC.ExecQuerySingleResult2(strSQLQuery, _
		Array As String(intRetailerID))
	
End Sub

Sub SelectStoreName
	
	strSQLQuery = "Select StoreName FROM Store WHERE StoreID = ?"
	
	strStoreName = ECS00.SQLEC.ExecQuerySingleResult2(strSQLQuery, _
		Array As String(strStoreID))

End Sub

'CLICK EVENTS
'============

Sub lblBack_Click
	
	Activity.Finish

End Sub
